My model has disappear

2016

#1

Hello.

I have a problem with my model created in SketchUp. After i finish my work, I started doing the scene but at the 4th scene, the screen was blocked and remains green. My model has disappeard, i can’t see it. I try Top View, Perspective View, Zoom Extends, but dosen’t appear nothing, it stiil green. My scenes are in the right box but if i click one of them, nothing happen.

Does anyone met this problem/crush/error?

Please help me!
Thank you!


#2

You have not saved it? Or have you named it Untitled?
Open entity info, press CTRL+A
How many entities are selected?
Go to Edit>[Entities selected]>Zoom Selection.


#3

I saved it from the begining, but I named it Untitled.
I have 115 Entities selected.
If I go to Edit for Zoom Selection, still nothing appear. :frowning:


#4

Can you attach the file so we can look at it. If less than 3mb attach it directly using the upload button 7th icon from the left at the top of the message window.
If larger than 3mb upload to either the 3d warehouse of something like dropbox and post the link here.


#5

I attached the model with wetransfer. Can you download it?

Thanks.


#6

Eventhough you don’t see anything (yet), save the Untitled.skp model (that apparently contains at least 58.6 MB of your geometry, with ‘Save as’ … to another name!
As it is now it could easily be overridden by who knows what, say a new empty file. The all is lost.


#7

For each project I create a different folder where I save the .skp file, so I can’t overwrite when I save a new model. Anyway, I save this project with differnet name but it still the same.

I found the .skb file, I create a copy and then I change the file extension to .skp. My model appear back!

Anyway, thank you!


#8

D[quote=“Ada.b, post:7, topic:69613”]
For each PROject
[/quote]

You should use PRO, if SketchUp is used commercially, though. If you consider yourself as a profesional why not invest in yourself and the tools you work with?


#9

HI Mike,

I am not considering myself a pro. I will invest in myself after I will finish my school. I have to learn first.

Thank you.


#10

Paste this code into your ruby console to fix the errors. There is a problem with one group and one long stray edge in your model. This code will explode the bad group and hide the rest of the model.

model = Sketchup.active_model
puts 'Starting repair'
puts "bounds min #{model.bounds.min}"
puts "bounds max #{model.bounds.max}"
puts

ents = model.entities
groups = ents.grep(Sketchup::Group).reject!{|e| e.bounds.min.y > -10000000}

puts "found #{groups.size} bad group(s)" 

model.start_operation('fix bad', true) 

groups.each {|g|
  puts g.bounds.min
  internals = g.explode

  puts "your bad group has #{internals.size} entities" 
  #internals.each {|i|
  #  puts "#{i} parent: #{i.parent}" 
  #}
}

puts
puts 'hiding good groups/components'
ents.each {|e|
  e.hidden = true  if e.is_a? Sketchup::Group
  e.hidden =  true if e.is_a? Sketchup::ComponentInstance
}

Sketchup.active_model.active_view.zoom_extents

puts
puts 'new bounding box'
puts "bounds min #{model.bounds.min}"
puts "bounds max #{model.bounds.max}"


puts
edges = ents.grep(Sketchup::Edge).reject!{|e| e.length < 10000}
puts "found #{edges.size} long edge(s)"
edges.each {|e| e.erase!}


puts 'final bounding box'
puts "bounds min #{model.bounds.min}"
puts "bounds max #{model.bounds.max}"


puts 'end'

#11

@Ada.b, I copied (in fact cut) small selections of components and groups to clipboard and then pasted in place into another instance of SketchUp. Selection after selection, through ‘Outliner’. One particular group seemed to be buggy. At the time I cut it from your uploaded file the rest of your moder re-appeared. Once pasted into the other instance of SketchUp that model disappeared. Undo would reverse vanishing of the model in the second SketchUp instamce. Meaning that your problem seems to be limited to that single group.
I couldn’t make that specific group visible in a new (third) instance of SketchUp.


#12

Hi guys

I really appreciate your help.
@g.h.hubers I don’t understand how you managed to copy small selection, if the model is “hidden”? Im working in SketchUp for a few month. Anyway, I am glad that you found that issue.
All elements are built by me, except the armchair and the bathroom sink, that I’ve downloaded from 3dwarehouse. (it’s a interior project). But when I coppied into the file, I click on Window, to Model Info at Statistics and “fix problems” and “purge unused”. I was thinking that will help me to prevent problems. Since then, I didn’t have any problems in this project. Probably, the armchair group is buggy.
After I recovered the file, it moves normaly, and I didn’t have any issues. Tomorrow I will render this project, and I hope that I will not have problems again. What dou you think?

Thank you!


#13

By selecting them within Outliner.


#14

The model isn’t hidden, currently it isn’t visible due to some strange issue.
As @Box says, I selected chunks of groups in ‘Outliner’ that shows all groups and components in your model.
Unfortunately you “named” most groups just group. That doesn’t help much in telling you which group it was. But I hope I can pinpoint it anyway in a screengrab.


Cut away the first parent group (see +sign) that you see in ‘Outliner’ after the component named skp8F54. So cut away the blue group marked with the red cross. That will make your model reappear.
(I hope I picked the correct group between all these groups!)


#15

I’m joining this conversation pretty late, so please forgive me if it is considered to be already solved.

The specific group that had the issue is this door, which somehow came to have an edge extending out a vast distance:

Since that is where the model’s view was centered when I cleaned up the errant edge, I assume it was what you were working on when things went sideways. I don’t know what you might have done to cause this issue (or to trigger a bug that caused the issue).

On a completely different note, which I hope you will take as constructive criticism, your model is bogged down by some “entourage” entities that have vast numbers of edges and faces. For example, this sofa alone accounts for almost a third of the total edges in the model (108502 of 375801! I turned on View->HIdden Geometry so you can see all those tiny edges).

There are also various other items of furniture with large numbers of edges. I don’t know whether you imported these from another source or created them your self using some subdivision or similar triangulation technique, but you will find that your model is much easier to work with if you defer placing such detailed items until you are finished with the rest. You can, for example, use simpler proxy components to get the overall arrangement and then swap them for the detailed versions at the end.


#16

This topic was automatically closed 91 days after the last reply. New replies are no longer allowed.